Bug 1801700 - After running cl-dump dbdir/cldb/*ldif.done are not deleted [rhel-7.7.z]
Summary: After running cl-dump dbdir/cldb/*ldif.done are not deleted [rhel-7.7.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.7
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: mreynolds
QA Contact: RHDS QE
URL:
Whiteboard:
Depends On: 1685059
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-11 13:48 UTC by RAD team bot copy to z-stream
Modified: 2020-03-17 16:19 UTC (History)
10 users (show)

Fixed In Version: 389-ds-base-1.3.9.1-13.el7_7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1685059
Environment:
Last Closed: 2020-03-17 16:19:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0843 None None None 2020-03-17 16:19:36 UTC

Description RAD team bot copy to z-stream 2020-02-11 13:48:01 UTC
This bug has been copied from bug #1685059 and has been proposed to be backported to 7.7 z-stream (EUS).

Comment 3 sgouvern 2020-02-25 09:42:56 UTC
Automated test Passed on 389-ds-base: 1.3.9.1-13.el7_7

# py.test -v ds/dirsrvtests/tests/suites/replication/changelog_test.py::test_cldump_files_removed
=============================================== test session starts ===============================================
platform linux -- Python 3.6.8, pytest-5.3.5, py-1.8.1, pluggy-0.13.1 -- /usr/bin/python3
cachedir: .pytest_cache
metadata: {'Python': '3.6.8', 'Platform': 'Linux-3.10.0-1062.el7.x86_64-x86_64-with-redhat-7.7-Maipo', 'Packages': {'pytest': '5.3.5', 'py': '1.8.1', 'pluggy': '0.13.1'}, 'Plugins': {'metadata': '1.8.0', 'html': '2.0.1'}}
389-ds-base: 1.3.9.1-13.el7_7
nss: 3.44.0-4.el7
nspr: 4.21.0-1.el7
openldap: 2.4.44-21.el7_6
cyrus-sasl: 2.1.26-23.el7
FIPS: disabled
rootdir: /mnt/tests/rhds/tests/upstream/ds/dirsrvtests, inifile: pytest.ini
plugins: metadata-1.8.0, html-2.0.1
collected 1 item                                                                                                  

ds/dirsrvtests/tests/suites/replication/changelog_test.py::test_cldump_files_removed PASSED                 [100%]

Manually verified ds-conf counterpart :
# dsconf ldap://localhost:39001 -D "cn=Directory Manager" -w password replication dump-changelog
# ls /var/lib/dirsrv/slapd-master1/changelogdb/
10246206-57ad11ea-904eb0b6-f0d0c251_5e54e1d7000000010000.db  DBVERSION

# dsconf ldap://localhost:39001 -D "cn=Directory Manager" -w password replication dump-changelog -l
# ls /var/lib/dirsrv/slapd-master1/changelogdb/
10246206-57ad11ea-904eb0b6-f0d0c251_5e54e1d7000000010000.db  DBVERSION
10246206-57ad11ea-904eb0b6-f0d0c251.ldif.done

Marking as VERIFIED

Comment 5 errata-xmlrpc 2020-03-17 16:19:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0843


Note You need to log in before you can comment on or make changes to this bug.